// 在文件加載完成後執行
document.addEventListener("DOMContentLoaded", function () {

    // 使用D3.js的API載入JSON資料
    d3.json("genary.json").then(function (data) {
        
        // 提取資料集中的aaData
        var tableData = data.aaData;

        // 創建表格
        var table = d3.select("#table-container")
            .append("table")
            .attr("class", "table");

        // 添加表頭
        var thead = table.append("thead");
        thead.append("tr")
            .selectAll("th")
            .data(tableData[0])
            .enter()
            .append("th")
            .text(function (d) { return d; });

        // 添加表格內容
        var tbody = table.append("tbody");
        tableData.slice(1).forEach(function (row) {
            var tr = tbody.append("tr");
            tr.selectAll("td")
                .data(row)
                .enter()
                .append("td")
                .html(function (d) { return d; });
        });

    }).catch(function 